php-doctrine-dbal (4.4.3+dfsg-1) unstable; urgency=medium

  [ Stefan Bürk ]
  * Make it possible to create union main part for a CTE (#7326)

  [ Vincent Langlet ]
  * Fix Json object mapping (#7336)

 -- David Prévot <taffit@debian.org>  Wed, 25 Mar 2026 09:21:48 +0100

php-doctrine-dbal (4.4.2+dfsg-1) unstable; urgency=medium

  [ Vincent Langlet ]
  * Fix enumType handling in Column

  [ Alexander M. Turek ]
  * Avoid mocks without expectations (#7306)

  [ Sergei Morozov ]
  * Catch mysqli_sql_exception from mysqli::begin_transaction()
  * Introspect default expressions as DefaultExpression

 -- David Prévot <taffit@debian.org>  Fri, 27 Feb 2026 23:12:16 +0100

php-doctrine-dbal (4.4.1+dfsg-2) unstable; urgency=medium

  * Compatibility with recent PHPUnit (13)
  * Convert d/watch to version 5
  * Update Standards-Version to 4.7.3

 -- David Prévot <taffit@debian.org>  Sat, 07 Feb 2026 11:34:14 +0100

php-doctrine-dbal (4.4.1+dfsg-1) unstable; urgency=medium

  [ Luís Cobucci ]
  * Don't attempt to rollback when connections are lost (#7240)

 -- David Prévot <taffit@debian.org>  Sun, 07 Dec 2025 05:13:32 +0100

php-doctrine-dbal (4.4.0+dfsg-1) unstable; urgency=medium

  [ Sergei Morozov ]
  * Deprecate "service" connection parameter
  * Deprecate AbstractAsset::isQuoted()
  * Deprecate AbstractAsset::getName()
  * Implement IteratorAggregate in ObjectSet subclasses
  * Deprecate using keys of table-scoped object collections as names
  * Deprecate extending schema classes
  * Introduce sequence editor
  * Introduce view editor
  * Deprecate Sequence setters
  * Introduce new schema introspection API
  * Deprecate TableDiff::getDroppedForeignKeys()
  * Reorganize SQLitePlatform comment methods
  * Deprecate creation of empty namespaces
  * Introduce DefaultExpression
  * Use MySQL syntax for parsing SQL in AbstractMySQLPlatform

  [ Alexander M. Turek ]
  * Add a nice way to create a builder for subqueries (#7040)
  * Prepare the 4.4.0 release (#7233)

  [ Vincent Langlet ]
  * [RFC] Introduce Types::JSON_OBJECT (#7053)
  * Document the JSON_OBJECT type (#7054)
  * Use provided length for enum type if given for non-mysql platform (#7034)

  [ Santiago San Martin ]
  * Deprecate overwriting existing FK constraints Overwriting an existing
    foreign key constraint is now deprecated
  * Deprecate unnamed foreign key constraints in `$droppedForeignKeys` of
    `TableDiff`
  * Remove obsolete upgrade note

  [ Rix ]
  * Change MySQL bool declaration from TINYINT(1) to TINYINT (#7221)

 -- David Prévot <taffit@debian.org>  Tue, 02 Dec 2025 12:46:34 +0100

php-doctrine-dbal (4.3.4+dfsg-1) unstable; urgency=medium

  [ Sergei Morozov ]
  * Trigger invalid name deprecation only for outside calls
  * Documentation on object names
  * Remove driver unit test boilerplate

  [ Alexander M. Turek ]
  * Fix the unsigned BIGINT check for PHP 8.5 (#7180)

  [ David Prévot ]
  * debian/control: Document more nocheck flags

 -- David Prévot <taffit@debian.org>  Mon, 13 Oct 2025 12:19:58 +0200

php-doctrine-dbal (4.3.3+dfsg-2) unstable; urgency=medium

  * RequiresPhp needs an explicit version comparison operator

 -- David Prévot <taffit@debian.org>  Sun, 05 Oct 2025 08:33:16 +0200

php-doctrine-dbal (4.3.3+dfsg-1) unstable; urgency=medium

  [ Alexander M. Turek ]
  * Fix argument count of data providers (#7076)
  * Workaround for MySQL 8.4 and unknown users (#7136)
  * Document the PDO subclasses backport (#7137)
  * Make options check strict again (#7141)

  [ Simon Podlipsky ]
  * fix: see PrimaryKeyConstraint annotation

  [ Nicolas Grekas ]
  * Leverage PHP 8.4 PDO classes, fix PHP 8.5 deprecation (#7132)

 -- David Prévot <taffit@debian.org>  Sat, 06 Sep 2025 09:27:36 +0200

php-doctrine-dbal (4.3.2+dfsg-3) unstable; urgency=medium

  * Don’t run testFetchLongBlob (Closes: #1103085)

 -- David Prévot <taffit@debian.org>  Tue, 02 Sep 2025 10:28:42 +0200

php-doctrine-dbal (4.3.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable now that Trixie has been released
  * Trim trailing whitespace
  * Remove Rules-Requires-Root
  * debian/control: Document nocheck flag

 -- David Prévot <taffit@debian.org>  Sat, 30 Aug 2025 09:34:48 +0200

php-doctrine-dbal (4.3.2+dfsg-1) experimental; urgency=medium

  [ Alexander M. Turek ]
  * Fix Symfony 8 compatibility issues (#7009)
  * Fix binding null as a boolean parameter on pgsql (#7059)
  * CI: Update SQL Server to version 2022 (#7069)
  * Deprecate the new MariaDB110700Platform class (#7073)

  [ Jonas Elfering ]
  * feat: add more pdo jobs with stringify fetches (#7052)

  [ Sergei Morozov ]
  * Update schema definition documentation

  [ Grégoire Paris ]
  * Improve deprecation

  [ Ferdinand Thiessen ]
  * fix(MariaDb): add support of new reserved word `VECTOR` (11.7+) (#7061)

  [ David Prévot ]
  * Fix autopkgtest

 -- David Prévot <taffit@debian.org>  Fri, 08 Aug 2025 08:09:14 +0200

php-doctrine-dbal (4.3.1+dfsg-1) experimental; urgency=medium

  [ Alexander M. Turek ]
  * Prepare 3.10.0 (#7018)

  [ Sergei Morozov ]
  * Quote Oracle user password

  [ Daniel Black ]
  * Quote MySQL constraint names for foreign keys

  [ Vincent Langlet ]
  * Avoid useless extra query in Psql

  [ Jonas Elfering ]
  * Fix length type in `MySQLSchemaManager` with `ATTR_STRINGIFY_FETCHES`
    enabled (#7028)

  [ Chris Lloyd ]
  * Fix case sensitivity in SQLite column types (#7050)

 -- David Prévot <taffit@debian.org>  Thu, 24 Jul 2025 21:29:01 +0200

php-doctrine-dbal (4.3.0+dfsg-1) experimental; urgency=medium

  * New upstream release
  * Exclude file for phpab
  * Refresh patches (only needed for PHPUnit 12)

 -- David Prévot <taffit@debian.org>  Sat, 12 Jul 2025 19:07:17 +0200

php-doctrine-dbal (4.2.4+dfsg-1) experimental; urgency=medium

  * Upload to experimental during the freeze

  [ Sergei Morozov ]
  * Drop and create primary key in a single statement
  * Remove special handling for primary keys covering an auto-increment column
  * Revert IBM Db2 health check improvement
  * Do not trim single quote in comments on SQLite
  * Fail on PHPUnit deprecations
  * Fail PHPUnit on notice, output more failure details

  [ Tim Düsterhus ]
  * Only trim the leading slash from the DSN if a host is also available (#6790)

 -- David Prévot <taffit@debian.org>  Wed, 18 Jun 2025 18:59:28 +0200

php-doctrine-dbal (4.2.3+dfsg-4) unstable; urgency=medium

  * Revert "Try and workaround an issue in debci"

 -- David Prévot <taffit@debian.org>  Mon, 05 May 2025 15:14:28 +0200

php-doctrine-dbal (4.2.3+dfsg-3) unstable; urgency=medium

  * Try and workaround an issue in debci

 -- David Prévot <taffit@debian.org>  Fri, 02 May 2025 10:36:06 +0200

php-doctrine-dbal (4.2.3+dfsg-2) unstable; urgency=medium

  * Don’t run testFetchLongBlob (Closes: #1103085)

 -- David Prévot <taffit@debian.org>  Tue, 15 Apr 2025 09:30:09 +0200

php-doctrine-dbal (4.2.3+dfsg-1) unstable; urgency=medium

  [ Sergei Morozov ]
  * Do not over increment identitiy sequence on Oracle
  * Fix SchemaManagerFunctionalTestCase::testSwitchPrimaryKeyOrder()

  [ Luís Cobucci ]
  * Convert driver exceptions when starting transactions

  [ David Prévot ]
  * Update Standards-Version to 4.7.2
  * Modernize PHPUnit syntax

 -- David Prévot <taffit@debian.org>  Sat, 08 Mar 2025 19:01:53 +0100

php-doctrine-dbal (4.2.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- David Prévot <taffit@debian.org>  Sun, 19 Jan 2025 16:56:40 +0100

php-doctrine-dbal (4.2.2+dfsg-1) experimental; urgency=medium

  [ Simon Podlipsky ]
  * Fix incorrect `transactional()` handling when DB auto-rolled back the
    transaction
  * savepoint support is required in v4 for transaction nesting

  [ Filippo Tessarotto ]
  * [Bug] Query Cache mangled if saved by-reference (#6552)

  [ Alexander M. Turek ]
  * Revert workaround for persistent PDO connections (#6623)

  [ Michael Voříšek ]
  * Fix bigint PHP_INT_MIN/PHP_INT_MAX string to int convert (#6410)

  [ Sergei Morozov ]
  * Fix dropping the PK on a PostgreSQL table with quoted name
  * Fix renaming to quoted names on SQL Server
  * Source IBM DB2 CLI driver from GitHub
  * Use proper unnamed unique constraint DDL syntax

  [ Robert Crossfield ]
  * Replace assert with exception in OCI8 driver

  [ martinedge ]
  * Add option for Oracle drivers to support TCPS

  [ davidxkurka ]
  * fix: max string length resolution in AbstractPlatform::getEnumDeclara…
    (#6579)

  [ Daniel Badura ]
  * Enable platformOptions to be considered for ColumnDiff (PostgreSQL jsonb
    support) (#6693)

  [ David Prévot ]
  * Revert "Force system dependencies loading (tests)"
  * Revert "Force system dependencies loading"
  * Simplify loading for tests
  * Drop version from build-dependencies
  * Use php-fig-log-test for tests

 -- David Prévot <taffit@debian.org>  Fri, 17 Jan 2025 10:08:46 +0100

php-doctrine-dbal (4.2.1+dfsg-1) experimental; urgency=medium

  [ Sergei Morozov ]
  * Handle cached result column names and rows separately (#6504)

  [ Alexander M. Turek ]
  * Invalidate old query cache format (#6510)
  * Leverage the new PDO subclasses (#6532)
  * Implement an EnumType for MySQL/MariaDB (#6536)
  * Prepare the 4.2.0 release (#6540)

  [ Nicolas PHILIPPE ]
  * Passive support for partitioned tables on Postgres (#6516)

 -- David Prévot <taffit@debian.org>  Sun, 13 Oct 2024 11:15:30 +0100

php-doctrine-dbal (4.1.1+dfsg-1) experimental; urgency=medium

  [ Alexander M. Turek ]
  * Raise a proper exception when calling `getColumnName()` with negative index
    (#6505)
  * Use generators for large data providers (#6508)
  * PDO: Raise a proper exception if user or password is false (#6513)

  [ Grégoire Paris ]
  * Try removing quotes (#6501)

  [ Sergei Morozov ]
  * Remove beStrictAboutTodoAnnotatedTests from PHPUnit configuration (#6503)

  [ Lynn ]
  * fix typo

 -- David Prévot <taffit@debian.org>  Sat, 07 Sep 2024 11:38:54 +0200

php-doctrine-dbal (4.1.0+dfsg-1) experimental; urgency=medium

  [ Grégoire Paris ]
  * Establish link between isConnected() and _conn (#6301)

  [ Alexander M. Turek ]
  * Deprecate MariaDB 10.4 and MySQL 5.7 support (#6343)
  * Default to distinct union queries (#6439)
  * Add deprecation layer for TableDiff methods (#6482)
  * Document the new PostgreSQL120Platform (#6494)
  * Deprecate support for Postgres 10 and 11 (#6495)
  * Prepare 3.9.0 and 4.1.0 (#6492)

  [ gitomato ]
  * Remove internal flag on DriverException (#6376)

  [ Willem Mouwen ]
  * MySQL 8.4 Platform (#6385)
  * MySQL 8.4 removed keywords (#6408)

  [ Michał Bundyra ]
  * Remove redundant variable (#6326)

  [ Stefan Bürk ]
  * Add `QueryBuilder` support for `UNION` clause (#6369)
  * Ensure PostgreSQL field length change is executed again (#6490)

  [ Daniel Black ]
  * Add MariaDb1010Platform for fetchTableOptionsByTable

  [ Christophe Coevoet ]
  * Add the Result::getColumnName method (#6428)

  [ Gennadij ]
  * Add SmallFloat type (#6471)

  [ Adrien Foulon ]
  * Add explicit renameColumn method (#6280)

  [ patrick1100 ]
  * Add DBTypes that are missing for TypeMapping (#6463)

  [ Quentin ]
  * Fix condition on Ascii String for SQL Server (#6389)

  [ Allan Simon ]
  * fix #6198: stop considering generated column definition as being
    its default value (#6199)

 -- David Prévot <taffit@debian.org>  Sat, 17 Aug 2024 09:21:07 +0200

php-doctrine-dbal (4.0.5+dfsg-1) experimental; urgency=medium

  [ Matteo Beccati ]
  * Properly handle MySQL error code 4031 from PHP 8.4 (#6363)

  [ Christophe Coevoet ]
  * Make the schema manager aware of the disabling of type comments

 -- David Prévot <taffit@debian.org>  Thu, 08 Aug 2024 07:15:53 +0200

php-doctrine-dbal (4.0.4+dfsg-1) experimental; urgency=medium

  [ David Maicher ]
  * Revert "Merge pull request #6413 from
    achterin/bugfix/foreign_key_name_change_detection"

  [ Alexander M. Turek ]
  * PHPUnit 10.5.22 (#6454)

  [ Michael Voříšek ]
  * Move schema split for SQLite CREATE INDEX only (#6352)

 -- David Prévot <taffit@debian.org>  Sun, 23 Jun 2024 07:53:35 +0200

php-doctrine-dbal (4.0.3+dfsg-1) experimental; urgency=medium

  [ Oliver Tischlinger ]
  * Fix example for QB delete and update in doc block

 -- David Prévot <taffit@debian.org>  Wed, 19 Jun 2024 08:04:20 +0200

php-doctrine-dbal (4.0.2+dfsg-1) experimental; urgency=medium

  [ Michael Voříšek ]
  * Fix double quote used wrongly for literal value in SqliteSchemaManager
    (#6325)

  [ Alexander M. Turek ]
  * Avoid calling deprecated Type::getName() (#6359)
  * Connection::setNestTransactionsWithSavepoints() should not break lazy
    connection (#6362)

  [ Stefan Bürk ]
  * Ensure correct json default value normalization (#6358)

  [ David Prévot ]
  * Update Standards-Version to 4.7.0

 -- David Prévot <taffit@debian.org>  Mon, 29 Apr 2024 07:55:07 +0200

php-doctrine-dbal (4.0.1+dfsg-1) experimental; urgency=medium

  [ Alexander M. Turek ]
  * Migrate PHPUnit test suite to attributes (#6311)
  * Use native intersection types in test suite (#6312)

  [ Thomas Landauer ]
  * [Documentation] Adding exact command for Postgres serial migration (#6305)

  [ Claudia Schmidt ]
  * Remove Type::canRequireSQLConversion from docs (#6318)

  [ hacfi ]
  * Add gssencmode option to connection string for PgSQL & PDO PgSQL driver
    (#6320)

  [ Rainrider ]
  * Make all mapped database types case insensitive (#6321)

  [ David Prévot ]
  * Force system dependencies loading
  * Drop now useless build-dependency

 -- David Prévot <taffit@debian.org>  Mon, 04 Mar 2024 11:45:46 +0100

php-doctrine-dbal (4.0.0+dfsg-1) experimental; urgency=medium

  [ Vincent Langlet ]
  * Add safety check about cache value (#6283)

  [ Daniel Sentker ]
  * Avoid ambiguous TABLE_NAME in query (#6275)

 -- David Prévot <taffit@debian.org>  Wed, 07 Feb 2024 08:16:17 +0100

php-doctrine-dbal (4.0.0~rc2+dfsg-1) experimental; urgency=medium

  [ Sergei Morozov ]
  * Enable establishing exclusive oci8 connections (#6182)
  * Remove irrelevant details from the savepoint name
  * Enable skipping locked rows in QueryBuilder

  [ Michael Babker ]
  * Add `QueryBuilder::resetOrderBy()` (#6190)

  [ Alexander M. Turek ]
  * Move `getJsonTypeDeclarationSQL()` to `AbstractMySQLPlatform` (#6216)
  * Remove deprecated lock-related methods (#6219)
  * Relax return types of getExceptionConverter() implementations (#6221)
  * Remove API to disable column comments (#6222)

  [ Oliver Klee ]
  * Make the type annotation for CompositeExpression::count more specific
   (#6188)

  [ cgknx ]
  * MySQLSchemaManager. Check expected database type for json columns only
    (#6189)

  [ Martin Auswöger ]
  * Fix MariaDB list columns performance (#6202)
  * Remove AbstractMySQLPlatform::getColumnTypeSQLSnippets() (#6214)

  [ Grégoire Paris ]
  * Move schema part to the index
  * Use different toctrees for different sections
  * Switch to absolute paths

  [ Kit Loong ]
  * Keep NVARCHAR(MAX) length as -1 (#6251)

 -- David Prévot <taffit@debian.org>  Fri, 26 Jan 2024 07:18:42 +0100

php-doctrine-dbal (4.0.0~rc1+dfsg-1) experimental; urgency=medium

  [ Javier Spagnoletti ]
  * [CI] Leverage built-in healthcheck for "db2" service (#6159)

  [ Martin Auswöger ]
  * Fix comparator type detection (#6168)

  [ Christian Kuhn ]
  * Correct Column->getDefault() annotation (#6125)

  [ Alexander M. Turek ]
  * PHPUnit 10.4.0 (#6123)
  * Cast `BIGINT` values to int if possible (#6177)

  [ David Prévot ]
  * Use recent PHPUnit (10)

 -- David Prévot <taffit@debian.org>  Tue, 10 Oct 2023 13:45:31 +0200

php-doctrine-dbal (4.0.0~beta3+dfsg-1) experimental; urgency=medium

  [ Alexander M. Turek ]
  * Prepare release 3.7.0 (#6165)

  [ Sergei Morozov ]
  * Mark PHPUnit data providers static
  * Remove the test that uses TestCase::getMockForAbstractClass()
  * Rename abstract test case classes
  * Update PHPUnit to 10.2.2 (Closes: #1039769)

  [ Franco Lombardo ]
  * Add support for unlogged tables in PostgreSQL (#6046)

  [ Michael Voříšek ]
  * Optimize TypeRegistry::lookupName() from O(N) to O(1) (#6082)

 -- David Prévot <taffit@debian.org>  Wed, 27 Sep 2023 08:27:46 +0200

php-doctrine-dbal (4.0.0~beta2+dfsg-1) experimental; urgency=medium

  [ Alexander M. Turek ]
  * Prepare 3.6.0

  [ David Prévot ]
  * Update standards version to 4.6.2

 -- David Prévot <taffit@debian.org>  Sat, 11 Feb 2023 07:43:45 +0100

php-doctrine-dbal (4.0.0~beta1+dfsg-1) experimental; urgency=medium

  * Upload beta to experimental

  [ Sergei Morozov ]
  * Remove extension via Doctrine Event Manager

  [ Alexander M. Turek ]
  * Remove support for Doctrine Cache
  * Remove the doctrine-dbal binary

  [ David Prévot ]
  * Revert "Track version 3 for now (Bookworm?)"
  * Don’t check missing signature
  * Drop patches not needed anymore
  * Adapt packaging to new version

 -- David Prévot <taffit@debian.org>  Wed, 26 Oct 2022 07:59:01 +0200

php-doctrine-dbal (3.5.0+dfsg-1) unstable; urgency=medium

  [ Alexander M. Turek ]
  * Allow doctrine/event-manager 2

  [ David Prévot ]
  * Track version 3 for now (Bookworm?)

 -- David Prévot <taffit@debian.org>  Mon, 24 Oct 2022 08:02:49 +0200

php-doctrine-dbal (3.4.5+dfsg-1) unstable; urgency=medium

  [ Sergei Morozov ]
  * Optimize MySQLSchemaManager::selectForeignKeyColumns()
  * Do not list tables required by extensions

 -- David Prévot <taffit@debian.org>  Sun, 25 Sep 2022 16:05:04 +0200

php-doctrine-dbal (3.4.4+dfsg-1) unstable; urgency=medium

  [ M. Vondano ]
  * Optimize MySQLSchemaManager::selectTableColumns()

 -- David Prévot <taffit@debian.org>  Fri, 09 Sep 2022 10:36:15 -0400

php-doctrine-dbal (3.4.3+dfsg-1) unstable; urgency=medium

  [ Sergei Morozov ]
  * Fix database detection on SQLite with PORTABILITY_EMPTY_TO_NULL

  [ Grégoire Paris ]
  * Upgrade to doctrine/coding-standard 10

 -- David Prévot <taffit@debian.org>  Wed, 31 Aug 2022 08:46:17 +0200

php-doctrine-dbal (3.4.2+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- David Prévot <taffit@debian.org>  Wed, 24 Aug 2022 07:55:05 +0200

php-doctrine-dbal (3.4.1+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- David Prévot <taffit@debian.org>  Fri, 19 Aug 2022 07:09:06 +0200

php-doctrine-dbal (3.4.0+dfsg-1) unstable; urgency=medium

  [ Sergei Morozov ]
  * Drop support for PHP 7.3

  [ David Prévot ]
  * Drop now usless d/pkg-php-tools-autoloaders entries

 -- David Prévot <taffit@debian.org>  Wed, 10 Aug 2022 05:59:56 +0200

php-doctrine-dbal (3.3.7+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- David Prévot <taffit@debian.org>  Sat, 18 Jun 2022 10:30:14 +0200

php-doctrine-dbal (3.3.6+dfsg-1) unstable; urgency=medium

  [ Alexander M. Turek ]
  * Allow doctrine/deprecations 1.0

  [ David Prévot ]
  * Update Standards-Version to 4.6.1

 -- David Prévot <taffit@debian.org>  Thu, 02 Jun 2022 18:02:47 +0200

php-doctrine-dbal (3.3.2+dfsg-1) unstable; urgency=medium

  [ Arjay Angeles ]
  * Oracle: Convert array keys to uppercase.

  [ Sergei Morozov ]
  * Consider CASE_LOWER being equal to 0

  [ Benjamin Cremer ]
  * Ignore columnDefinition for column quals comparison

  [ Grégoire Paris ]
  * Add support for collation option to MySQL

 -- David Prévot <taffit@debian.org>  Mon, 07 Feb 2022 06:01:13 -0400

php-doctrine-dbal (3.3.1+dfsg-1) unstable; urgency=medium

  [ Markus Staab ]
  * fix typo: `\Doctrine\DBAL\Statement` vs. `\Doctrine\DBAL\Driver\Statement`

  [ Sergei Morozov ]
  * Handle bindng invalid named parameter errors
  * Optimize AbstractMySQLPlatform::getListTableForeignKeysSQL()

  [ Javier Eguiluz ]
  * [Doc] Fix a table of Type Mapping Matrix

  [ Grégoire Paris ]
  * Warn against relying on DC2Type comments.
  * Allow dynamic call to compareSchemas

 -- David Prévot <taffit@debian.org>  Tue, 01 Feb 2022 05:06:56 -0400

php-doctrine-dbal (3.3.0+dfsg-1) unstable; urgency=medium

  [ Alexander M. Turek ]
  * Remove package-versions-deprecated dependency
  * Deprecate the Doctrine DBAL binary

  [ David Prévot ]
  * Drop composer-runtime-api from composer.json
  * Update help2man call again

 -- David Prévot <taffit@debian.org>  Wed, 19 Jan 2022 08:16:45 -0400

php-doctrine-dbal (3.2.1+dfsg-1) unstable; urgency=medium

  [ David Prévot ]
  * Revert "Breaks php-doctrine-bundle (<< 2.3.3) for CI"
  * Update help2man call

 -- David Prévot <taffit@debian.org>  Sat, 08 Jan 2022 10:14:21 -0400

php-doctrine-dbal (3.2.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable since everything seems ready
  * Breaks php-doctrine-bundle (<< 2.3.3) for CI

 -- David Prévot <taffit@debian.org>  Sun, 28 Nov 2021 07:11:44 -0400

php-doctrine-dbal (3.2.0+dfsg-1) experimental; urgency=medium

  * Upload new minor version to experimental

  [ Alexander M. Turek ]
  * Deprecate doctrine/cache in favor of psr/cache

 -- David Prévot <taffit@debian.org>  Sat, 27 Nov 2021 07:19:24 -0400

php-doctrine-dbal (3.1.5-1) unstable; urgency=medium

  [ Grégoire Paris ]
  * Remove references to Doctrine 2

 -- David Prévot <taffit@debian.org>  Sat, 27 Nov 2021 06:44:20 -0400

php-doctrine-dbal (3.1.4+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- David Prévot <taffit@debian.org>  Wed, 24 Nov 2021 12:08:50 -0400

php-doctrine-dbal (3.1.4+dfsg-1) experimental; urgency=medium

  [ Sergei Morozov ]
  * Cast LIMIT and OFFSET to int when building limit query [CVE-2021-43608]

  [ David Prévot ]
  * Update upstream version at build time

 -- David Prévot <taffit@debian.org>  Mon, 15 Nov 2021 13:40:19 -0400

php-doctrine-dbal (3.1.3+dfsg-1) experimental; urgency=medium

  [ Alexander M. Turek ]
  * Support Doctrine Cache 2
  * PHP 8.1 compatibility
  * PHPUnit 9.5.10

  [ David Prévot ]
  * Simplify gbp import-orig (and check signature)
  * Install /u/s/p/autoloaders file
  * Exclude non-DFSG material
  * Build-depend on php-doctrine-deprecations and php-symfony-cache
  * Install dh-sequence-* instead of using dh --with
  * Generate phpabtpl at build time
  * Update standards version to 4.6.0, no changes needed.

 -- David Prévot <taffit@debian.org>  Mon, 11 Oct 2021 09:24:17 -0400

php-doctrine-dbal (3.0.0-1) experimental; urgency=medium

  * Upload new major version to experimental

  [ Sergei Morozov ]
  * Branch 3.0

  [ David Prévot ]
  * Drop versioned dependency satisfied in (old)stable
  * Adapt packaging to new upstream layout
  * Don’t rely on PHPStan, not (yet) available in Debian
  * Don’t rely on PackageVersions to provide the current version
  * Update config file to expected syntax

 -- David Prévot <taffit@debian.org>  Mon, 28 Dec 2020 12:54:20 -0400

php-doctrine-dbal (2.12.1-2) unstable; urgency=medium

  * Adapt to recent version of PHPUnit (9)

 -- David Prévot <taffit@debian.org>  Sun, 20 Dec 2020 16:56:37 -0400

php-doctrine-dbal (2.12.1-1) unstable; urgency=medium

  [ Sergei Morozov ]
  * Release 2.12.1

  [ David Prévot ]
  * Set upstream metadata fields: Security-Contact.
  * Update watch file format version to 4.
  * Update Standards-Version to 4.5.1

 -- David Prévot <taffit@debian.org>  Sat, 21 Nov 2020 14:50:13 -0400

php-doctrine-dbal (2.12.0-1) unstable; urgency=medium

  [ Grégoire Paris ]
  * Release 2.12.0

  [ David Prévot ]
  * Adapt phpab call to conditional declaration

 -- David Prévot <taffit@debian.org>  Thu, 22 Oct 2020 18:47:55 -0400

php-doctrine-dbal (2.11.1-1) unstable; urgency=medium

  [ Sergei Morozov ]
  * Release 2.11.1

 -- David Prévot <taffit@debian.org>  Mon, 28 Sep 2020 06:52:10 -0400

php-doctrine-dbal (2.11.0-1) unstable; urgency=medium

  [ Sergei Morozov ]
  * Update PHPUnit to 9.2
  * Release 2.11.0

  [ David Prévot ]
  * Drop patch not needed anymore
  * Revert "Update PHPUnit to 9.2"

 -- David Prévot <taffit@debian.org>  Wed, 23 Sep 2020 18:52:53 -0400

php-doctrine-dbal (2.10.4-1) unstable; urgency=medium

  [ Sergei Morozov ]
  * Revert "Add full support for foreign key constraints for SQLite"
  * Release 2.10.4

 -- David Prévot <taffit@debian.org>  Mon, 14 Sep 2020 16:24:35 -0400

php-doctrine-dbal (2.10.3-1) unstable; urgency=medium

  [ Sergei Morozov ]
  * Release 2.10.3

  [ David Prévot ]
  * Rename main branch to debian/latest (DEP-14)
  * Set Rules-Requires-Root: no.

 -- David Prévot <taffit@debian.org>  Sat, 05 Sep 2020 17:56:22 -0400

php-doctrine-dbal (2.10.2-1) unstable; urgency=medium

  [ Sergei Morozov ]
  * Release v2.10.2

  [ David Prévot ]
  * Update gbp import-ref usage
  * Wrap long lines in changelog entries: 2.8.0-1.
  * Update standards version to 4.5.0, no changes needed.
  * Use debhelper-compat 13
  * Simplify override_dh_auto_test

 -- David Prévot <taffit@debian.org>  Sat, 30 May 2020 09:05:57 -1000

php-doctrine-dbal (2.10.1-1) unstable; urgency=medium

  [ Sergei Morozov ]
  * Release v2.10.1

  [ David Prévot ]
  * Set upstream metadata fields:
    Bug-Database, Repository, Repository-Browse, Bug-Submit
  * phpunit: do not fail on warning

 -- David Prévot <taffit@debian.org>  Thu, 09 Jan 2020 08:52:22 +1100

php-doctrine-dbal (2.10.0-1) unstable; urgency=medium

  [ Sergei Morozov ]
  * Updated PHPUnit to 8.4.1
  * Release v2.10.0

  [ David Prévot ]
  * Drop php-symfony-phpunit-bridge build-dependency

 -- David Prévot <taffit@debian.org>  Fri, 08 Nov 2019 19:31:28 -1000

php-doctrine-dbal (2.9.3-1) unstable; urgency=medium

  [ Sergei Morozov ]
  * Release v2.9.3

  [ David Prévot ]
  * Add php-symfony-console dependency for CI
  * Update standards version to 4.4.1, no changes needed.
  * Set upstream metadata fields: Repository.

 -- David Prévot <taffit@debian.org>  Sat, 02 Nov 2019 16:50:10 -1000

php-doctrine-dbal (2.9.2+git-1) unstable; urgency=medium

  * Use upstream testsuite
  * Update standards version, no changes needed.
  * Bump debhelper from old 11 to 12.
  * Document gbp import-ref usage

 -- David Prévot <taffit@debian.org>  Sun, 15 Sep 2019 16:11:26 -1000

php-doctrine-dbal (2.9.2-1) unstable; urgency=medium

  [ Sergei Morozov ]
  * Release v2.9.2

  [ David Prévot ]
  * Update Standards-Version to 4.3.0

 -- David Prévot <taffit@debian.org>  Tue, 01 Jan 2019 20:06:49 +1030

php-doctrine-dbal (2.9.1-1) unstable; urgency=medium

  [ Sergei Morozov ]
  * Release v2.9.1

  [ David Prévot ]
  * Use debian/clean for directories

 -- David Prévot <taffit@debian.org>  Sat, 15 Dec 2018 15:07:40 -1000

php-doctrine-dbal (2.9.0-1) unstable; urgency=medium

  [ Sergei Morozov ]
  * Release v2.9.0

  [ David Prévot ]
  * Update Description
  * Update Homepage
  * Use debhelper-compat 11
  * Drop get-orig-source target
  * Update Standards-Version to 4.2.1

 -- David Prévot <taffit@debian.org>  Wed, 05 Dec 2018 08:10:58 -1000

php-doctrine-dbal (2.8.0-1) unstable; urgency=medium

  [ Michael Moravec ]
  * Remove dependency on doctrine/common, use doctrine/cache and
    doctrine/event-manager

  [ Sergei Morozov ]
  * Release v2.8.0

  [ Gianfranco Costamagna ]
  * Properly handle upstream version (Closes: #903623)

  [ David Prévot ]
  * Update homemade autoload to new dependencies
  * Update build-dependencies
  * Update Standards-Version to 4.1.5

 -- David Prévot <taffit@debian.org>  Wed, 18 Jul 2018 07:08:53 +0800

php-doctrine-dbal (2.7.1-1) unstable; urgency=medium

  [ Sergei Morozov ]
  * Preparing the 2.7.1 release

  [ David Prévot ]
  * Update copyright (years)
  * Update Standards-Version to 4.1.4

 -- David Prévot <taffit@debian.org>  Wed, 11 Apr 2018 10:40:56 -1000

php-doctrine-dbal (2.6.3-2) unstable; urgency=medium

  * Upload to unstable now that php 7.2 is the default version
  * Move project repository to salsa.d.o
  * Update Standards-Version to 4.1.3

 -- David Prévot <taffit@debian.org>  Mon, 05 Mar 2018 10:35:38 -1000

php-doctrine-dbal (2.6.3-1) experimental; urgency=medium

  [ Luís Cobucci ]
  * Preparing v2.6.3 release

  [ David Prévot ]
  * Drop versioned dependency satisfied in stable
  * Update Standards-Version to 4.1.1

 -- David Prévot <taffit@debian.org>  Mon, 20 Nov 2017 16:08:03 -1000

php-doctrine-dbal (2.6.2-1) experimental; urgency=medium

  * Upload to experimental since the package depends on php 7.1 that is not
    yet the default version

  [ Marco Pivetta ]
  * Preparing v2.6.2 release

  [ Luís Cobucci ]
  * Require PHP 7.1

  [ David Prévot ]
  * Update Standards-Version to 4.1.0

 -- David Prévot <taffit@debian.org>  Mon, 28 Aug 2017 19:46:20 -1000

php-doctrine-dbal (2.5.13-1) unstable; urgency=medium

  [ Marco Pivetta ]
  * Preparing 2.5.13 release

  [ David Prévot ]
  * Update Standards-Version to 4.0.1
  * Fix commandline name in manpage
  * Fix manpage generation

 -- David Prévot <taffit@debian.org>  Sat, 19 Aug 2017 18:10:41 -1000

php-doctrine-dbal (2.5.4-2) unstable; urgency=medium

  * Upload to unstable now that owncloud is gone
  * PHP 7.0 transition:
    - Recommend php-sqlite3 instead of php5-sqlite
    - Rebuild with recent pkg-php-tools
  * Drop ownCloud for Debian maintainers from uploaders
  * Update Standards-Version to 3.9.8

 -- David Prévot <taffit@debian.org>  Fri, 15 Apr 2016 14:12:30 -0400

php-doctrine-dbal (2.5.4-1) experimental; urgency=medium

  [ Marco Pivetta ]
  * Release 2.5.4

  [ Steve Müller ]
  * fix string column type declarations with whitespace on SQLite

 -- David Prévot <taffit@debian.org>  Tue, 05 Jan 2016 20:57:39 -0400

php-doctrine-dbal (2.5.3-1) experimental; urgency=medium

  [ Marco Pivetta ]
  * #2260 - loosening doctrine/common requirement: allowing 2.6.x
  * Release 2.5.3

 -- David Prévot <taffit@debian.org>  Mon, 28 Dec 2015 10:50:39 -0400

php-doctrine-dbal (2.5.2-1) experimental; urgency=medium

  [ Steve Müller ]
  * Release 2.5.2

  [ andig ]
  * fix removing autoincrement column from primary key in MySQL

  [ David Prévot ]
  * Simplify minimal version
  * Protect include_once by stream_resolve_include_path

 -- David Prévot <taffit@debian.org>  Thu, 22 Oct 2015 18:39:19 -0400

php-doctrine-dbal (2.5.1-2) experimental; urgency=medium

  * Provide homemade static autoload.php

 -- David Prévot <taffit@debian.org>  Sat, 04 Apr 2015 17:17:59 -0400

php-doctrine-dbal (2.5.1-1) experimental; urgency=medium

  [ Steve Müller ]
  * Release 2.5.1

  [ David Prévot ]
  * Use php-symfony-class-loader instead of php-symfony-classloader

 -- David Prévot <taffit@debian.org>  Wed, 14 Jan 2015 09:56:23 -0400

php-doctrine-dbal (2.5.0-1) experimental; urgency=medium

  [ Steve Müller ]
  * Release 2.5.0

  [ David Prévot ]
  * Use php-symfony-class-loader instead of php-symfony-classloader
  * Update upstream changelog
  * Add a symlink for the manpage

 -- David Prévot <taffit@debian.org>  Mon, 08 Dec 2014 18:24:45 -0400

php-doctrine-dbal (2.5.0~rc2-1) experimental; urgency=medium

  [ Steve Müller ]
  * Release 2.5.0-RC2

  [ David Prévot ]
  * Bump standards version to 3.9.6

 -- David Prévot <taffit@debian.org>  Wed, 17 Sep 2014 16:08:13 -0400

php-doctrine-dbal (2.5.0~rc1-1) experimental; urgency=medium

  [ Steve Müller ]
  * Release 2.5.0-RC1

  [ David Prévot ]
  * Ship security warning
  * Drop explicit php5-cli dependency
  * Add homemade autoload.php: work around the lack of proper autoload.php
    from composer by using the ClassLoader element from Symfony
  * Add system configuration file

 -- David Prévot <taffit@debian.org>  Sun, 07 Sep 2014 15:54:43 -0400

php-doctrine-dbal (2.5.0~beta3-1) experimental; urgency=medium

  [ Benjamin Eberlei ]
  * Release 2.5.0 BETA3

  [ David Prévot ]
  * Update watch to track pre-releases, and upload to experimental
  * Update copyright

 -- David Prévot <taffit@debian.org>  Sun, 15 Jun 2014 11:49:00 -0400

php-doctrine-dbal (2.4.2-2) unstable; urgency=medium

  * Upload to unstable

 -- David Prévot <taffit@debian.org>  Sun, 15 Jun 2014 11:28:40 -0400

php-doctrine-dbal (2.4.2-1) experimental; urgency=medium

  [ Benjamin Eberlei ]
  * Release 2.4.2

  [ David Prévot ]
  * Bump standards version to 3.9.5
  * Add ownCloud for Debian maintainers as uploader
  * Update source, and upload to experimental
  * Update copyright
  * Convert from PEAR to Composer
  * Add upstream changelog

 -- David Prévot <taffit@debian.org>  Tue, 03 Jun 2014 11:45:50 -0400

php-doctrine-dbal (2.3.4-1) unstable; urgency=low

  * Initial Release (Closes: #727064)

 -- David Prévot <taffit@debian.org>  Mon, 21 Oct 2013 18:31:11 -0400
